package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * ods层网格化市控站点小时增量对象 ods_meshing_sh_station_hour_i
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "ods层网格化市控站点小时增量")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ods_meshing_sh_station_hour_i")
public class OdsMeshingShStationHourI extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    /** id */
    private String id;


    @ApiModelProperty(value = "站点id")
    /** 站点id */
    @Excel(name = "站点id")
    private String stationId;


    @ApiModelProperty(value = "站点编码")
    /** 站点编码 */
    @Excel(name = "站点编码")
    private String stationCode;


    @ApiModelProperty(value = "数据采集时间")
    /** 数据采集时间 */
    @Excel(name = "数据采集时间")
    private String receiveTime;


    @ApiModelProperty(value = "SO2浓度实况值")
    /** SO2浓度实况值 */
    @Excel(name = "SO2浓度实况值")
    private String so2Live;


    @ApiModelProperty(value = "NO2浓度实况值")
    /** NO2浓度实况值 */
    @Excel(name = "NO2浓度实况值")
    private String no2Live;


    @ApiModelProperty(value = "CO浓度实况值")
    /** CO浓度实况值 */
    @Excel(name = "CO浓度实况值")
    private String coLive;


    @ApiModelProperty(value = "O3浓度实况值")
    /** O3浓度实况值 */
    @Excel(name = "O3浓度实况值")
    private String o3Live;


    @ApiModelProperty(value = "PM10浓度实况值")
    /** PM10浓度实况值 */
    @Excel(name = "PM10浓度实况值")
    private String pm10Live;


    @ApiModelProperty(value = "PM2.5浓度实况值")
    /** PM2.5浓度实况值 */
    @Excel(name = "PM2.5浓度实况值")
    private String pm25Live;


    @ApiModelProperty(value = "温度")
    /** 温度 */
    @Excel(name = "温度")
    private String temperature;


    @ApiModelProperty(value = "湿度")
    /** 湿度 */
    @Excel(name = "湿度")
    private String humidity;


    @ApiModelProperty(value = "大气压")
    /** 大气压 */
    @Excel(name = "大气压")
    private String apress;


    @ApiModelProperty(value = "风向")
    /** 风向 */
    @Excel(name = "风向")
    private String wdirect;


    @ApiModelProperty(value = "风速")
    /** 风速 */
    @Excel(name = "风速")
    private String wspeed;


    @ApiModelProperty(value = "噪声")
    /** 噪声 */
    @Excel(name = "噪声")
    private String noise;


    @ApiModelProperty(value = "MAXID值")
    /** MAXID值 */
    @Excel(name = "MAXID值")
    private String maxId;


    @ApiModelProperty(value = "无用")
    /** 无用 */
    @Excel(name = "无用")
    private String flag;


    @ApiModelProperty(value = "PM10标况值")
    /** PM10标况值 */
    @Excel(name = "PM10标况值")
    private String pm10Bk;


    @ApiModelProperty(value = "PM25标况值")
    /** PM25标况值 */
    @Excel(name = "PM25标况值")
    private String pm25Bk;


    @ApiModelProperty(value = "SO2标况值")
    /** SO2标况值 */
    @Excel(name = "SO2标况值")
    private String so2Bk;


    @ApiModelProperty(value = "NO2标况值")
    /** NO2标况值 */
    @Excel(name = "NO2标况值")
    private String no2Bk;


    @ApiModelProperty(value = "CO标况值")
    /** CO标况值 */
    @Excel(name = "CO标况值")
    private String coBk;


    @ApiModelProperty(value = "O3标况值")
    /** O3标况值 */
    @Excel(name = "O3标况值")
    private String o3Bk;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String pmi;


    @ApiModelProperty(value = "PMI标况值")
    /** PMI标况值 */
    @Excel(name = "PMI标况值")
    private String pmiBk;


    @ApiModelProperty(value = "TSP实况值")
    /** TSP实况值 */
    @Excel(name = "TSP实况值")
    private String tspLive;


    @ApiModelProperty(value = "TSP标况值")
    /** TSP标况值 */
    @Excel(name = "TSP标况值")
    private String tspBk;


    @ApiModelProperty(value = "NO实况值")
    /** NO实况值 */
    @Excel(name = "NO实况值")
    private String noLive;


    @ApiModelProperty(value = "TVOC值")
    /** TVOC值 */
    @Excel(name = "TVOC值")
    private String tvoc;


    @ApiModelProperty(value = "co2浓度值")
    /** co2浓度值 */
    @Excel(name = "co2浓度值")
    private String co2;


    @ApiModelProperty(value = "氮氧化物浓度值")
    /** 氮氧化物浓度值 */
    @Excel(name = "氮氧化物浓度值")
    private String nox;






    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stationId", getStationId())
            .append("stationCode", getStationCode())
            .append("receiveTime", getReceiveTime())
            .append("so2Live", getSo2Live())
            .append("no2Live", getNo2Live())
            .append("coLive", getCoLive())
            .append("o3Live", getO3Live())
            .append("pm10Live", getPm10Live())
            .append("pm25Live", getPm25Live())
            .append("temperature", getTemperature())
            .append("humidity", getHumidity())
            .append("apress", getApress())
            .append("wdirect", getWdirect())
            .append("wspeed", getWspeed())
            .append("noise", getNoise())
            .append("maxId", getMaxId())
            .append("flag", getFlag())
            .append("pm10Bk", getPm10Bk())
            .append("pm25Bk", getPm25Bk())
            .append("so2Bk", getSo2Bk())
            .append("no2Bk", getNo2Bk())
            .append("coBk", getCoBk())
            .append("o3Bk", getO3Bk())
            .append("pmi", getPmi())
            .append("pmiBk", getPmiBk())
            .append("tspLive", getTspLive())
            .append("tspBk", getTspBk())
            .append("noLive", getNoLive())
            .append("tvoc", getTvoc())
            .append("co2", getCo2())
            .append("nox", getNox())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
